Package ghidra.features.bsim.query.client.tables

# Class WeightTable

java.lang.Object
ghidra.features.bsim.query.client.tables.SQLComplexTable
ghidra.features.bsim.query.client.tables.WeightTable

public class WeightTable extends SQLComplexTable

- ## Field Summary

  ### Fields inherited from class ghidra.features.bsim.query.client.tables.SQLComplexTable

  `db, idColumnName, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WeightTable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `create(Statement st)`
  Creates the db table.
  `void`
  `drop(Statement st)`
  Drops the current table.
  `long`
  `insert(Object... arguments)`
  Inserts a row(s) into the db.
  `void`
  `recoverWeights(WeightFactory factory)`

  ### Methods inherited from class ghidra.features.bsim.query.client.tables.SQLComplexTable

  `close, delete, setConnection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WeightTable

    public WeightTable()

- ## Method Details

  - ### create

    public void create(Statement st) throws SQLException
    Description copied from class: `SQLComplexTable`
    Creates the db table.
    Specified by:
      `create` in class `SQLComplexTable`
    Parameters:
      `st` - the query statement
    Throws:
      `SQLException` - if there is a problem

  - ### drop

    public void drop(Statement st) throws SQLException
    Description copied from class: `SQLComplexTable`
    Drops the current table. NOTE: If explicitly created index tables exist they should be removed first or this method override.
    Overrides:
      `drop` in class `SQLComplexTable`
    Parameters:
      `st` - the query statement
    Throws:
      `SQLException` - if there is a problem with the execute update command

  - ### insert

    public long insert(Object... arguments) throws SQLException
    Description copied from class: `SQLComplexTable`
    Inserts a row(s) into the db. The arguments passed to this function are by definition not known, so they are left as a variable-length list of `Object` instances, to be interpreted by the implementer.
    Specified by:
      `insert` in class `SQLComplexTable`
    Parameters:
      `arguments` - any arguments required for the insert
    Returns:
      to be defined by the implementor
    Throws:
      `SQLException` - if there is a problem executing the insert command

  - ### recoverWeights

    public void recoverWeights(WeightFactory factory) throws SQLException
    Parameters:
      `factory` - the weight factory
    Throws:
      `SQLException` - if there is an error creating/executing the query